﻿using System.Configuration;

namespace ApiScanner.Core
{
    public sealed class ExchangeDllScannerTestConfigurationElement : FileSystemScannerModuleConfigurationElement
    {
        public const string ElementName = "exchangeDllScanner";

        public override string ConfigurationElementName
        {
            get { return ElementName; }
        }

        [ConfigurationProperty("filenames")]
        public FilenameConfigurationElementCollection Filenames
        {
            get { return (FilenameConfigurationElementCollection) this["filenames"]; }
            set { this["filenames"] = value; }
        }
    }
}