﻿using System;
using System.Configuration;

namespace ApiScanner.Core
{
    public class ExchangeStoreScannerTestConfigurationElement : TestConfigurationElement
    {
        public static string ElementName = "exchangeStoreScanner";

        public override string ConfigurationElementName
        {
            get { return ElementName; }
        }
        [ConfigurationProperty("domain")]
        public string Domain
        {
            get { return (string) this["domain"]; }
            set { this["domain"] = value; }
        }

        [ConfigurationProperty("scanPrivateFolders", DefaultValue = true)]
        public bool ScanPrivateFolders
        {
            get { return (bool) this["scanPrivateFolders"]; }
            set { this["scanPrivateFolders"] = value; }
        }

        [ConfigurationProperty("scanPublicFolders", DefaultValue = true)]
        public bool ScanPublicFolders
        {
            get { return (bool) this["scanPublicFolders"]; }
            set { this["scanPublicFolders"] = value; }
        }

        [ConfigurationProperty("servers")]
        public ServerNameConfigurationElementCollection Servers
        {
            get { return (ServerNameConfigurationElementCollection) this["servers"]; }
            set { this["servers"] = value; }
        }

    }
}