﻿using System;

namespace ApiScanner.Core
{
    public class ScannerError : Artifact
    {
        public string Location { get; private set; }
        public Exception Exception { get; private set; }

        public ScannerError(string location, Exception exception)
        {
            if (location == null) throw new ArgumentNullException("location");
            if (exception == null) throw new ArgumentNullException("exception");
            
            Exception = exception;
            Location = location;
        }
    }
}