﻿using System;

namespace ApiScanner.Core
{
    public sealed class SmtpServerEventBinding: EventBinding
    {
        public string SinkClass { get; private set; }
        public string ComClassInfo { get; private set; }

        public SmtpServerEventBinding(string displayName, string sinkClass): base(displayName, Certainty.Definite)
        {
            SinkClass = sinkClass;
            ComClassInfo = Core.ComClassInfo.GetClassInfo(sinkClass, Environment.MachineName);
        }
    }
}