﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace ApiScannerShell
{
    [ValueConversion(typeof(bool?), typeof(bool))]
    public sealed class InvertBoolConverter: IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return !((bool?) value).GetValueOrDefault();
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return !((bool?)value).GetValueOrDefault();
        }
    }
}