﻿using System;
using System.Windows;

namespace ApiScannerShell
{
    /// <summary>
    /// Interaction logic for MainView.xaml
    /// </summary>
    public partial class MainView
    {
        public MainViewModel ViewModel { get; private set; }

        public MainView()
        {
            InitializeComponent();
        }

        public MainView(MainViewModel viewModel)
        {
            if (viewModel == null) throw new ArgumentNullException("viewModel");
            ViewModel = viewModel;
            InitializeComponent();
        }
    }
}
