﻿using System;

namespace ApiScannerShell
{
    sealed class NamedDelegateCommand : DelegateCommand
    {
        public string Name { get; private set; }
        public NamedDelegateCommand(string name, Func<bool> canExcuteHandler, Action executeHandler) : base(canExcuteHandler, executeHandler)
        {
            Name = name;
        }

        public NamedDelegateCommand(string name, Action executeHandler) : base(executeHandler)
        {
            Name = name;
        }
    }
}