﻿using ApiScanner.Core;

namespace ApiScannerShell.ViewModels
{
    public sealed class ExchangeDllScannerTestConfigurationElementViewModel: FileSystemScannerModuleConfigurationElementViewModel<ExchangeDllScannerTestConfigurationElementViewModel, ExchangeDllScannerTestConfigurationElement>
    {
        private readonly FileNameConfigurationElementCollectionViewModelCollectionViewModel _Filenames;

        public FileNameConfigurationElementCollectionViewModelCollectionViewModel Filenames
        {
            get { return GetChildViewModel(v => v.Filenames); }
        }

        public ExchangeDllScannerTestConfigurationElementViewModel(ExchangeDllScannerTestConfigurationElement model) : base(model)
        {
            _Filenames = new FileNameConfigurationElementCollectionViewModelCollectionViewModel(model.Filenames);

            RegisterChildViewModel(v => v.Filenames, _Filenames);
            LoadValuesFromModel();
        }
    }
}