﻿using System;
using ApiScanner.Core;

namespace ApiScannerShell.ViewModels
{
    public sealed class SmtpServerEventScannerTestConfigurationElementViewModelConfigurationElement : TestConfigurationElementViewModel<SmtpServerEventScannerTestConfigurationElementViewModelConfigurationElement, SmtpServerEventScannerTestConfigurationElement>
    {
        public SmtpServerEventScannerTestConfigurationElementViewModelConfigurationElement(SmtpServerEventScannerTestConfigurationElement smtpScanner, Action<IViewModel<TestConfigurationElement>> removeAction): base(smtpScanner, removeAction)
        {
            LoadValuesFromModel();
        }

        public override string DisplayName
        {
            get { return "Smtp Server Events"; }
        }

        public override string Description
        {
            get { return "Scans the local computer for events that are registered on the smtp server."; }
        }

        protected override void ModelChanged()
        {
        }
    }
}