﻿using System.Configuration;

namespace ApiScanner.Core
{
    public class FileSystemScannerTestConfigurationElement : TestConfigurationElement
    {
        public const string ElementName = "filesystemScanner";

        public override string ConfigurationElementName
        {
            get { return ElementName; }
        }
        [ConfigurationProperty("rootDirectory")]
        public string RootDirectory
        {
            get { return (string) this["rootDirectory"]; }
            set { this["rootDirectory"] = value; }
        }

        [ConfigurationProperty("modules")]
        public FileSystemScannerModuleConfigurationElementCollection Modules
        {
            get { return (FileSystemScannerModuleConfigurationElementCollection) this["modules"]; }
            set { this["modules"] = value; }
        }
    }
}