﻿using System.Configuration;

namespace ApiScanner.Core
{
    [ConfigurationCollection(typeof(TestConfigurationElement), AddItemName = "test")]
    public class TestConfigurationElementCollection: DynamicConfigurationElementCollection<TestConfigurationElement>
    {
        static TestConfigurationElementCollection()
        {
            RegisterType<ExchangeStoreScannerTestConfigurationElement>(ExchangeStoreScannerTestConfigurationElement.ElementName);
            RegisterType<SmtpServerEventScannerTestConfigurationElement>(SmtpServerEventScannerTestConfigurationElement.ElementName);
            RegisterType<FileSystemScannerTestConfigurationElement>(FileSystemScannerTestConfigurationElement.ElementName);
        }
    }
}