﻿using System.Collections.Generic;

namespace ApiScannerShell
{
    public interface IViewModel
    {
        void SaveValuesToModel();
        void LoadValuesFromModel();
        IEnumerable<string> GetValidationSummary();
    }
    public interface IViewModel<TModel>: IViewModel
    {
        TModel Model { get;}
    }
}