using System.Windows;
using ApiScannerShell.ViewModels;

namespace ApiScannerShell
{
    public sealed partial  class ScannerConfigurationSectionView
    {
        public static readonly DependencyProperty ViewModelProperty = DependencyProperty.Register("ViewModel", typeof(ScannerConfigurationSectionViewModel), typeof(ScannerConfigurationSectionView));

        public ScannerConfigurationSectionViewModel ViewModel
        {
            get { return (ScannerConfigurationSectionViewModel)GetValue(ViewModelProperty); }
            set { SetValue(ViewModelProperty, value); }
        }

        public ScannerConfigurationSectionView()
        {
            InitializeComponent();
        }
    }
}