﻿using System;
using System.Collections.Generic;

namespace ApiScannerShell
{
    public sealed class ViewModelValidationFailedException : Exception
    {
        public IEnumerable<string> ValidationSummary { get; private set; }

        public ViewModelValidationFailedException(string message, IEnumerable<string> validationSummary): base(message)
        {
            ValidationSummary = validationSummary;
        }
    }
}