﻿using System.Linq;
using ApiScanner.Core;

namespace ApiScannerShell.ViewModels
{
    public sealed class FileNameConfigurationElementCollectionViewModelCollectionViewModel: ViewModelCollection<FilenameConfigurationElementViewModel, FilenameConfigurationElement>
    {
        public FileNameConfigurationElementCollectionViewModelCollectionViewModel(FilenameConfigurationElementCollection filenames) : base(filenames)
        {
        }

        protected override FilenameConfigurationElementViewModel CreateViewModel(FilenameConfigurationElement model)
        {
            return new FilenameConfigurationElementViewModel(model);
        }
    }
}